
local function ToggleTabs()
    local options = {"tabstop", "softtabstop", "shiftwidth"}

    for _, option in ipairs(options) do
        local current_value = vim.opt[option]:get()
        vim.opt[option] = (current_value == 4) and 2 or 4
    end
end

vim.api.nvim_create_user_command(
    'ToggleTabs',
    ToggleTabs,
    { nargs = 0 }
)
